<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Document</title>
  <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>

<body>
  <div id="app">
    <p>{{ contador }}</p>
    <!-- por padrão, sempre que um evento do browser é chamado, passa-se a variável contendo o evento -->
    <button v-on:click="somar">Somar 1</button>
    <p v-on:mousemove="atualizarXY">Mouse: {{ x }} e {{ y }}</p>
  </div>
  <script src="app.js"></script>
</body>

</html>